extends ./../template.pug

block stylesheets
    link(rel="stylesheet", href="/static/stylesheets/admin.css")

block content
    .container
        h1 Administration
        div.mt-4.table-wrapper
            table(class="table")
                thead
                    tr
                        th(scope="col") Id
                        th(scope="col") Nom
                        th(scope="col") Prénom
                        th(scope="col") Email
                        th(scope="col") Id_Role
                        th(scope="col") Id_Rayon
                        th(scope="col")
                tbody
                    each value in users
                        tr
                            th #{value.id}
                            th #{value.nom}
                            th #{value.prenom}
                            th #{value.email}
                            th.numberCol #{value.id_role}
                            th.numberCol #{value.id_rayon}
                            th
                                - url = "/admin/edit/" + value.id + "/?name=" + value.nom + "&firstname=" + value.prenom + "&email=" + value.email + "&role=" + value.id_role + "&section=" + value.id_rayon
                                if root
                                    a(class="btn btn-block btn-success" href= url) Editer
                                if !root && value.id_role <= 2
                                    a(class="btn btn-block btn-success" href= url) Editer
        a( class="btn btn-block btn-primary" href="/admin/create") Ajouter un utilisateur


block scripts